Add course to branch
Endpoint URL
POST /api/v2/branch-courses
Add course to branch
Associates a course with a specific branch. To successfully assign a course to a branch, provide the course’s unique ID using the course_id attribute and the branch’s unique ID using the branch_id attribute in the request body. If the request is valid and both the course and branch exist, the API creates the association and returns the corresponding branch-course relationship details.
Request
Responses
- 204
- 400
- 403
- 404
- 409
Course added to branch
Invalid request body
Insufficient permissions
Branch or course not found
Course already exists in branch